#include "../include/hal_lksmcu_reg.h"
#include "../include/hal_lksmcu_qep.h"
#include "hal_lks32mc09x.h"

/**
 * @brief 模块复位
 * @param qep QEP模块
 */
void HAL_QEP_Reset(HAL_QEP_x qep)
{
    // 03上没有qep模块
}

/**
 * @brief 模块打开
 * @param qep QEP模块
 */
void HAL_QEP_Enable(HAL_QEP_x qep)
{
    // 03上没有qep模块
}

/**
 * @brief 模块关闭
 * @param qep QEP模块
 */
void HAL_QEP_Disable(HAL_QEP_x qep)
{
    // 03上没有qep模块
}

/**
 * @brief 设置最大计数值
 * @param qep QEP模块
 * @param th 最大计数值
 */
void HAL_QEP_SetTh(HAL_QEP_x qep, uint32_t th)
{
    // 03上没有qep模块
}

/**
 * @brief 设置计数模式
 * @param qep QEP模块
 * @param mode 计数模式
 */
void HAL_QEP_SetMode(HAL_QEP_x qep, HAL_QEP_MODE_x mode)
{
    // 03上没有qep模块
}

/**
 * @brief 获取当前的计数值
 * @param qep QEP模块
 * @return 当前的计数值
 */
uint32_t HAL_QEP_ReadCnt(HAL_QEP_x qep)
{
    // 03上没有qep模块
    return 0;
}

/**
 * @brief 复位计数值到0
 * @param qep QEP模块
 */
void HAL_QEP_ResetCnt(HAL_QEP_x qep)
{
    // 03上没有qep模块
}
